<template>
  <q-select
    v-model="record[field.config.field]"
    :stack-label="field.label"
    inverted-light
    color="white"
    :options="availableValues"
    :fitler="availableValues.length > 10"
    :multiple="field.config.isMultiple"
    :chips="field.config.isMultiple"
  />
</template>

<script>
  export default {
    name: 'dropdownField',
    computed: {
      availableValues() {
        return (this.field.config.options || []).map((value) => ({
          value,
          label: value,
        }));
      },
    },
    props: {
      field: {
        type: Object,
      },
      record: {
        type: Object,
      },
    },
  };
</script>
